Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
AssetPtrBase Class Referenceabstract

`#include <assetPtr.h>`

Inheritance diagram for AssetPtrBase:

## Public Member Functions
| AssetPtrBase ()
virtual | ~AssetPtrBase ()
virtual void | clear (void)=0
| Referencing. More...
virtual void | setAssetId (const char *pAssetId)=0
virtual StringTableEntry | getAssetId (void) const =0
virtual StringTableEntry | getAssetType (void) const =0
virtual bool | isAssetId (const char *pAssetId) const =0
virtual bool | isNull (void) const =0
| Validity. More...
virtual bool | notNull (void) const =0
void | registerRefreshNotify (AssetPtrCallback *pCallback)
| Notification. More...
void | unregisterRefreshNotify (void)

## Constructor & Destructor Documentation

AssetPtrBase | ( |  | ) |
| inline

virtual ~AssetPtrBase | ( |  | ) |
| inline virtual

## Member Function Documentation

virtual void clear | ( | void |  | ) |
| pure virtual

Referencing.

Implemented in AssetPtr< T >, AssetPtr< AudioAsset >, AssetPtr< ParticleAsset >, AssetPtr< AnimationAsset >, AssetPtr< ImageAsset >, AssetPtr< AssetBase >, and AssetPtr< SkeletonAsset >.

virtual StringTableEntry getAssetId | ( | void |  | ) | const
| pure virtual

Implemented in AssetPtr< T >, AssetPtr< AudioAsset >, AssetPtr< ParticleAsset >, AssetPtr< AnimationAsset >, AssetPtr< ImageAsset >, AssetPtr< AssetBase >, and AssetPtr< SkeletonAsset >.

virtual StringTableEntry getAssetType | ( | void |  | ) | const
| pure virtual

Implemented in AssetPtr< T >, AssetPtr< AudioAsset >, AssetPtr< ParticleAsset >, AssetPtr< AnimationAsset >, AssetPtr< ImageAsset >, AssetPtr< AssetBase >, and AssetPtr< SkeletonAsset >.

virtual bool isAssetId | ( | const char * | pAssetId | ) | const
| pure virtual

Implemented in AssetPtr< T >, AssetPtr< AudioAsset >, AssetPtr< ParticleAsset >, AssetPtr< AnimationAsset >, AssetPtr< ImageAsset >, AssetPtr< AssetBase >, and AssetPtr< SkeletonAsset >.

virtual bool isNull | ( | void |  | ) | const
| pure virtual

Validity.

Implemented in AssetPtr< T >, AssetPtr< AudioAsset >, AssetPtr< ParticleAsset >, AssetPtr< AnimationAsset >, AssetPtr< ImageAsset >, AssetPtr< AssetBase >, and AssetPtr< SkeletonAsset >.

virtual bool notNull | ( | void |  | ) | const
| pure virtual

Implemented in AssetPtr< T >, AssetPtr< AudioAsset >, AssetPtr< ParticleAsset >, AssetPtr< AnimationAsset >, AssetPtr< ImageAsset >, AssetPtr< AssetBase >, and AssetPtr< SkeletonAsset >.

void registerRefreshNotify | ( | AssetPtrCallback * | pCallback | ) |
| inline

Notification.

virtual void setAssetId | ( | const char * | pAssetId | ) |
| pure virtual

Implemented in AssetPtr< T >, AssetPtr< AudioAsset >, AssetPtr< ParticleAsset >, AssetPtr< AnimationAsset >, AssetPtr< ImageAsset >, AssetPtr< AssetBase >, and AssetPtr< SkeletonAsset >.

void unregisterRefreshNotify | ( | void |  | ) |
| inline

The documentation for this class was generated from the following file:

- assets/assetPtr.h